Yum

Yellow dog Updater Modified (Yum) es el manejador de paquetes por defecto en CentOS (y todas sus versiones). Es utilizado para instalar y actualizar los paquetes desde los repositorios de CentOS (y desde los repositorios de terceros).

Managing Software with Yum es un manual online, disponible en http://www.centos.org/docs/4/html/yum/ - aplicable con muy pocos cambios, a todas las versiones de CentOS.

CentOS-4 además tiene el Yum Extender (una Interfaz de Usuario Gráfica para yum). La documentación está disponible en: http://www.centos.org/docs/4/html/yumex/.

1. Los Plugins de Yum

Ahora, yum 2.4.x en CentOS-4 tiene la posibilidad de correr plugins, algunos de los cuales están hospedados en línea dentro de los Repositorios de CentOS.

1.1. Habilitando los plugins de yum

Para utilizar los plugins de yum en CentOS-4, usted primero debe editar el fichero /etc/yum.conf y adicionar la siguiente línea:

plugins=1

Una vez que los plugins estén habilitados en yum.conf, usted puede instalar plugins para yum y usarlos. CentOS-5 trae esta opción configurada por defecto.

Algunos de los plugins de yum están disponibles como paquetes rpms separados. Actualmente en CentOS-4 ellos son protecbase, priorities y fastestmirror. Estos plugins son altamente recomendados para los usuarios de CentOS-4 que están usando el método de actualización por defecto. (Use solo priorities o protectbase ... no deben ser usados juntos).

El paquete yum-utils de CentOS-4 contiene algunos de los plugins de yum que no están habilitados por defecto. Esos plugins están ubicados en el directorio /usr/share/doc/yum-utils-0.5/plugins después que el paquete yum-utils es instalado.

Por favor, revise esos plugins y si gusta instalarlos para su uso, copie el fichero nombre_del_plugin.conf a /etc/yum/pluginconf.d/ y el fichero nombre_del_plugin.py a /usr/lib/yum-plugins/ para habilitar el plugin específico.

1.2. Direcciones URL externas que pueden ser útiles

ArtWork/WikiDesign/icon-admonition-info.png

NOTA: Recuerde que la versión de yum usada en CentOS puede no ser siempre la misma que la versión reportada/usada por el proveedor.

es/PackageManagement/Yum (last edited 2019-12-09 09:11:15 by anonymous)